| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteBitsetType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteBitsetType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteBitsetType ()
| Default constructor.
eProsima_user_DllExport | ~CompleteBitsetType ()
| Default destructor.
eProsima_user_DllExport | CompleteBitsetType (const CompleteBitsetType &x)
| Copy constructor.
eProsima_user_DllExport | CompleteBitsetType (CompleteBitsetType &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteBitsetType & | operator= (const CompleteBitsetType &x)
| Copy assignment.
eProsima_user_DllExport CompleteBitsetType & | operator= (CompleteBitsetType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteBitsetType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteBitsetType &x) const
| Comparison operator.
eProsima_user_DllExport void | bitset_flags (const BitsetTypeFlag &_bitset_flags)
| This function copies the value in member bitset_flags.
eProsima_user_DllExport void | bitset_flags (BitsetTypeFlag &&_bitset_flags)
| This function moves the value in member bitset_flags.
eProsima_user_DllExport const BitsetTypeFlag & | bitset_flags () const
| This function returns a constant reference to member bitset_flags.
eProsima_user_DllExport BitsetTypeFlag & | bitset_flags ()
| This function returns a reference to member bitset_flags.
eProsima_user_DllExport void | header (const CompleteBitsetHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (CompleteBitsetHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const CompleteBitsetHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport CompleteBitsetHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | field_seq (const CompleteBitfieldSeq &_field_seq)
| This function copies the value in member field_seq.
eProsima_user_DllExport void | field_seq (CompleteBitfieldSeq &&_field_seq)
| This function moves the value in member field_seq.
eProsima_user_DllExport const CompleteBitfieldSeq & | field_seq () const
| This function returns a constant reference to member field_seq.
eProsima_user_DllExport CompleteBitfieldSeq & | field_seq ()
| This function returns a reference to member field_seq.

## Detailed Description

This class represents the structure CompleteBitsetType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteBitsetType() [1/3]

eProsima_user_DllExport CompleteBitsetType | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteBitsetType()

eProsima_user_DllExport ~CompleteBitsetType | ( |  | ) |

inline

Default destructor.

## ◆ CompleteBitsetType() [2/3]

eProsima_user_DllExport CompleteBitsetType | ( | const CompleteBitsetType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteBitsetType that will be copied.

## ◆ CompleteBitsetType() [3/3]

eProsima_user_DllExport CompleteBitsetType | ( | CompleteBitsetType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteBitsetType that will be copied.

## Member Function Documentation

## ◆ bitset_flags() [1/4]

eProsima_user_DllExport BitsetTypeFlag & bitset_flags | ( |  | ) |

inline

This function returns a reference to member bitset_flags.

Returns
  Reference to member bitset_flags

## ◆ bitset_flags() [2/4]

eProsima_user_DllExport const BitsetTypeFlag & bitset_flags | ( |  | ) | const

inline

This function returns a constant reference to member bitset_flags.

Returns
  Constant reference to member bitset_flags

## ◆ bitset_flags() [3/4]

eProsima_user_DllExport void bitset_flags | ( | BitsetTypeFlag && | _bitset_flags | ) |

inline

This function moves the value in member bitset_flags.

Parameters

  _bitset_flags | New value to be moved in member bitset_flags

## ◆ bitset_flags() [4/4]

eProsima_user_DllExport void bitset_flags | ( | const BitsetTypeFlag & | _bitset_flags | ) |

inline

This function copies the value in member bitset_flags.

Parameters

  _bitset_flags | New value to be copied in member bitset_flags

## ◆ field_seq() [1/4]

eProsima_user_DllExport CompleteBitfieldSeq & field_seq | ( |  | ) |

inline

This function returns a reference to member field_seq.

Returns
  Reference to member field_seq

## ◆ field_seq() [2/4]

eProsima_user_DllExport const CompleteBitfieldSeq & field_seq | ( |  | ) | const

inline

This function returns a constant reference to member field_seq.

Returns
  Constant reference to member field_seq

## ◆ field_seq() [3/4]

eProsima_user_DllExport void field_seq | ( | CompleteBitfieldSeq && | _field_seq | ) |

inline

This function moves the value in member field_seq.

Parameters

  _field_seq | New value to be moved in member field_seq

## ◆ field_seq() [4/4]

eProsima_user_DllExport void field_seq | ( | const CompleteBitfieldSeq & | _field_seq | ) |

inline

This function copies the value in member field_seq.

Parameters

  _field_seq | New value to be copied in member field_seq

## ◆ header() [1/4]

eProsima_user_DllExport CompleteBitsetHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const CompleteBitsetHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | CompleteBitsetHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | const CompleteBitsetHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteBitsetType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteBitsetType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteBitsetType & operator= | ( | CompleteBitsetType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteBitsetType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteBitsetType & operator= | ( | const CompleteBitsetType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteBitsetType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteBitsetType & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteBitsetType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp